geos::operation::overlayng::EdgeKey Class Reference

`#include <EdgeKey.h>`

## Public Member Functions

| EdgeKey (const Edge *edge)
int | compareTo (const EdgeKey *ek) const
bool | equals (const EdgeKey *ek) const

## Friends

bool | operator< (const EdgeKey &ek1, const EdgeKey &ek2)
bool | operator== (const EdgeKey &ek1, const EdgeKey &ek2)

## Detailed Description

A key for sorting and comparing edges in a noded arrangement. Relies on the fact that in a correctly noded arrangement edges are identical (up to direction) iff they have their first segment in common.

Author
  mdavis

The documentation for this class was generated from the following file:

- EdgeKey.h